Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapred
Class SequenceFileInputFilter.FilterBase

    java.lang.Object
      org.apache.hadoop.mapred.SequenceFileInputFilter.FilterBase

All Implemented Interfaces:
  Configurable, SequenceFileInputFilter.Filter

Direct Known Subclasses:
  SequenceFileInputFilter.MD5Filter, SequenceFileInputFilter.PercentFilter, SequenceFileInputFilter.RegexFilter

Enclosing class:
  SequenceFileInputFilter<K,V>

    public abstract static class SequenceFileInputFilter.FilterBase

extends Object
implements SequenceFileInputFilter.Filter

base class for Filters

Constructor Summary
`SequenceFileInputFilter.FilterBase()`

Method Summary
`Configuration` | `getConf()` Return the configuration used by this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.hadoop.mapred.SequenceFileInputFilter.Filter
`accept`

Methods inherited from interface org.apache.hadoop.conf.Configurable
`setConf`

Constructor Detail

### SequenceFileInputFilter.FilterBase

    public SequenceFileInputFilter.FilterBase()

Method Detail

### getConf

    public Configuration getConf()

  Description copied from interface: `Configurable`
  Return the configuration used by this object.

  Specified by:
    `getConf` in interface `Configurable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation